---
title: AudioBuffer.copyToChannel()
slug: Web/API/AudioBuffer/copyToChannel
tags:
  - API
  - Audio
  - AudioBuffer
  - Method
  - Reference
  - Web Audio API
  - copyToChannel
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p><span class="seoSummary">The <code>copyToChannel()</code> method of the {{ domxref("AudioBuffer") }} interface copies the samples to the specified channel of the <code>AudioBuffer</code>, from the source array.</span></p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>myArrayBuffer</em>.copyToChannel(<em>source</em>, <em>channelNumber</em>, <em>startInChannel</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>source</dt>
 <dd>A {{jsxref("Float32Array")}} that the channel data will be copied from.</dd>
 <dt>channelNumber</dt>
 <dd>The channel number of the current {{domxref("AudioBuffer")}} to copy the channel data to. If <em>channelNumber</em> is greater than or equal to<span class="idlType"><code> </code></span>{{domxref("AudioBuffer.numberOfChannels")}}, an <code>INDEX_SIZE_ERR</code> will be thrown.</dd>
 <dt>startInChannel {{optional_inline}}</dt>
 <dd>An optional offset to copy the data to. If <em>startInChannel</em> is greater than {{domxref("AudioBuffer.length")}}, an <code>INDEX_SIZE_ERR</code> will be thrown.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">var myArrayBuffer = audioCtx.createBuffer(2, frameCount, audioCtx.sampleRate);
var anotherArray = new Float32Array;
// Copy channel data from second channel of myArrayBuffer.
myArrayBuffer.copyFromChannel(anotherArray,1,0);
// Copy data from anotherArray to first channel of myArrayBuffer. Both channels have the same data now.
myArrayBuffer.copyToChannel (anotherArray,0,0);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-audiobuffer-copytochannel', 'copyToChannel')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AudioBuffer.copyToChannel")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
